
Figure - Bug #111358
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110872 (New): BSP-BVT测试-WIFI测试

【BSP】【EVT】【WIFI】【必现】DUT连接有网络访问的SSID后，网络可以正常使用；但是WIFI页面提示
“已连接到设备，但无法提供互联网连接”
2022-08-19 20:39 - SZTS_TEST 邹涛

Status: CLOSED Start date: 2022-08-19

Priority: Normal Due date:

Assignee: SZTS_TEST 邹涛 % Done: 0%

Category: LC Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0.0.0.20220819_alpha_private_userdebug

Resolution: -- Degrated: --

Severity: Major Verified Version: 因为Internet检测，要在国内,且要求回连,需要去掉这个检测

Reproducibility: Every time Fixed Version:

Test Type: Bring Up Test Root cause:

Description

前置条件：

1、DUT各模块功能正常且处于开机状态

操作步骤：

1、settings页面内打开wifi，连接指定的ssid后，检查网络是否可用

2、查看wifi页面显示

3、设置模式包括：WIFI6的2.4G和5G、WIFI5的5G、WIFI4的2.4G

实际结果：

1、所有模式下，wifi网络可以正常使用，但是WIFI页面提示“已连接到设备，但无法提供互联网连接”

预期结果：

1、wifi网络正常使用，wifi页面显示已连接，无异常提示信息

History

#1 - 2022-08-22 13:58 - CD LC 陶洪普

- Status changed from New to ASSIGNED

- Assignee changed from CD LC 陶洪普 to CD LC-徐玺栋

Google 设备中带有Portal认证检测，无法连接Google的检测地址．

处理措施：关闭Portal的Internet检测．

#2 - 2022-08-22 14:01 - CD LC 陶洪普

与https://share.thundersoft.com/redmine/issues/111272　原因相同

#3 - 2022-08-22 18:13 - CDTS_TEST 王成

- Description updated

#4 - 2022-08-24 16:03 - CD LC-徐玺栋

- Status changed from ASSIGNED to RESOLVED
- Assignee changed from CD LC-徐玺栋 to SZTS_TEST 邹涛

- Verified Version set to 因为Internet检测，要在国内,且要求回连,需要去掉这个检测

目前进展：

已经在代码中作出修改去掉Internet检测，本地验证没问题；

gerrit：https://dev.thundercomm.com/gerrit/c/general/platform/packages/modules/NetworkStack/+/144317

下一步计划：

请测试同学在8/25日的DB上测试。

#5 - 2022-08-29 18:31 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

0.0.0.20220826_alpha_private_userdebug，版本验证问题已修复

#6 - 2022-08-29 18:32 - SZTS_TEST 邹涛

- Status changed from VERIFIED to CLOSED

#7 - 2022-09-14 12:00 - CD TPM-申艳艳

- Category set to LC
